.footer {
  background-color: #f9fafe;
  max-width: 1400px;
  direction: rtl;
  width: 100%;
  margin: 0 auto;
  font-size: 14px;
  padding-top: 50px;
}

.footer-communication {
  display: flex;
  margin: 0 auto;
  padding: 0 30px;
}

.footer-communication .footer-contact-info {
  width: 50%;
  padding: 20px;
}

.footer-communication .footer-contact-info .footer-contact-title {
  padding-top: 15px;
}

.footer-communication .footer-contact-info ul {
  list-style-type: none;
}

.footer-communication .footer-contact-info ul li, .footer-communication .footer-contact-info .email-address {
  padding-right: 20px;
  padding-top: 5px;
}

.footer .footer-social-medias {
  width: 50%;
  padding: 20px;
}

.footer .footer-social-medias .footer-social-medias-title {
  padding: 15px;
}

.footer-social-medias ul {
  list-style-type: none;
}

.footer-social-medias ul li {
  display: inline-block;
  margin: 0 10px;
  text-align: center;
}

.footer-social-medias ul li a {
  display: block;
  width: 50px;
  padding: 10px;
  border-radius: 5px;
  background-color: #ffff;
  color: black;
  text-decoration: none;
}

.footer-social-medias ul li a i {
  font-size: 20px;
  vertical-align: middle;
}

.footer-social-medias ul li:first-child a i {
  color: #1877f2;
}

.footer-social-medias ul li:nth-child(2) a i {
  color: #25d366;
}

.footer-social-medias ul li:nth-child(3) a i {
  color: #c32aa3;
}

.footer-social-medias ul li:last-child a i {
  color: #ff0000;
}

.footer-social-medias ul li:nth-child(1) a:hover {
  box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, #1877f2 0px 0px 0px 1px;
}

.footer-social-medias ul li:nth-child(2) a:hover {
  box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, #25d366 0px 0px 0px 1px;
}

.footer-social-medias ul li:nth-child(3) a:hover {
  box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, #c32aa3 0px 0px 0px 1px;
}

.footer-social-medias ul li:nth-child(4) a:hover {
  box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, #ff0000 0px 0px 0px 1px;
}

.footer .all-reserved {
  direction: rtl;
  text-align: center;
  padding: 40px 30px 30px 30px;
}

@media screen and (max-width: 768px) {

  .footer h1 {
    margin-bottom: 20px;
  }

  .footer-communication {
    flex-direction: column;
    row-gap: 20px;
  }

  .footer-communication .footer-contact-info, .footer-communication .footer-social-medias {
    width: 100%;
    padding: 0px;
  }

  .footer .footer-social-medias .footer-social-medias-title {
    text-align: center;
  }

  .footer-social-medias ul {
    text-align: center;
  }


}